/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

/**
 *
 * @author student
 */
@Entity
@DiscriminatorValue(value = "PL")
public class PravnoLice extends AbstractPoslovniPartner {
    @Column(name = "pib")
    private String pib;
    @Column(name = "maticnibroj")
    private String maticniBroj;
    @Column(name = "naziv")
    private String naziv;

    public PravnoLice() {
    }

    public String getPib() {
        return pib;
    }

    public void setPib(String pib) {
        this.pib = pib;
    }

    public String getMaticniBroj() {
        return maticniBroj;
    }

    public void setMaticniBroj(String maticniBroj) {
        this.maticniBroj = maticniBroj;
    }

    public String getNaziv() {
        return naziv;
    }

    public void setNaziv(String naziv) {
        this.naziv = naziv;
    }
}
